Skip to main content
GET
/
o
/
{organisation_id}
/
environments
/
{environment_id}
/
schedulers
/
{scheduler_id}
Get a Scheduler by ID
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/schedulers/{scheduler_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "schedule": "<string>",
  "url": "<string>",
  "environment_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
environment_id
string<ulid>
required
scheduler_id
string<ulid>
required

Response

OK

id
string<ulid>
required
name
string
required

The name of the scheduler.

schedule
string
required

The cron schedule for the scheduler.

url
string<uri>
required

The URL to which the scheduler will send requests.

environment_id
string<ulid>
required